.custom-cursor {
    position: absolute;
    width: 20px;
    height: 20px;
    pointer-events: none;
    transform: translate(-50%, -50%);
}

.custom-cursor::before,
.custom-cursor::after {
    content: '';
    position: absolute;
    background-color: red;
}

.custom-cursor::before {
    width: 2px;
    height: 100%;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
}

.custom-cursor::after {
    height: 2px;
    width: 100%;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}